> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Freeze

> Freezes a Workspace so that ALL operations by ANY user are blocked.
You should only perform this action when the workspace faces imminent risk, such as when you have a security breach.
To unfreeze a workspace, the workspace Owner must submit a request to Fireblocks Support.
**NOTE:** 
- This operation can only be performed by the workspace Admins - Your workspace continues to receive incoming transfers during this time.
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /workspace/freeze
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /workspace/freeze:
    post:
      tags:
        - Workspace
      summary: Freeze
      description: >-
        Freezes a Workspace so that ALL operations by ANY user are blocked.

        You should only perform this action when the workspace faces imminent
        risk, such as when you have a security breach.

        To unfreeze a workspace, the workspace Owner must submit a request to
        Fireblocks Support.

        **NOTE:** 

        - This operation can only be performed by the workspace Admins - Your
        workspace continues to receive incoming transfers during this time.

        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: freezeWorkspace
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '204':
          description: Indicates that the workspace is now frozen
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        default:
          $ref: '#/components/responses/Error'
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  schemas:
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number

````